Bug 563844 - Update Zim to the upstream Python-based release
Update Zim to the upstream Python-based release
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 560967
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-11 05:43 EST by Robin Lee
Modified: 2010-08-11 21:25 EDT (History)
11 users (show)

See Also:
Fixed In Version: Zim-0.47-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-14 02:36:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Lee 2010-02-11 05:43:30 EST
Spec URL: http://dl.dropbox.com/u/612778/pyzim.spec
SRPM URL: http://dl.dropbox.com/u/612778/pyzim-0.43-1.fc12.src.rpm
Description: 

This is my first submitted package so a sponsor needed.

= Package description =

Zim brings the concept of a wiki to your desktop. Store information, link pages
and edit with WYSISYG markup. Creating a new page is as easy as linking to a
non-existing page. Pages are stored in a folder structure, like in an outliner,
and can have attachments.

This tool can be used to keep track of TODO lists or ideas, to take notes during
a meeting or to draft any other kind of text (blog entries, important mails,
etc.).


= About the Python branch =

Zim with version >= 0.42 is a Python reimplementation. And the Python branch is now the one with focus of development and, as the version number and the homepage show, will probably replace the former Perl implementation by the same author.

As suggested by Chris Weyl in https://bugzilla.redhat.com/show_bug.cgi?id=560967#c3 , I create this package for the Python implementation. And I make this package conflicting with Zim < 0.42 for convenience.


= rpmlint result =

$ rpmlint pyzim.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint pyzim-0.43-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


= About the test suite =

This package comes with test suite, but the test suite can run only in a graphical environment, so cannot run in a pure console environment or a mock chroot. And so I neglect the test suite and its requirements in the spec files.
See also: https://answers.launchpad.net/zim/+question/100002

Another problem is that a test may probably fail in a locale with multibyte translated string. So it is safe to run the test suite with `LANG=en_US.UTF-8 ./test.py`.
See also: https://bugs.launchpad.net/zim/+bug/517095

To run the test suite, some extra requirements must be met: pygtk2 pyxdg. And some tests will be skipped if the following requirements are not met: /usr/bin/latex , bzr, dvipng, graphviz.
Comment 1 Susi Lehtola 2010-02-12 04:50:29 EST
This package should be named "zim" (note that upstream doesn't name 0.43 pyzim anymore), and it should obsolete the old package "Zim".

The summary should be something like "Bring the concept of a wiki to your desktop".
Comment 2 Robin Lee 2010-02-14 02:06:06 EST
Spec URL: http://dl.dropbox.com/u/612778/zim.spec
SRPM URL: http://dl.dropbox.com/u/612778/zim-0.43-1.fc12.src.rpm

OK, I made this new spec file which would obsolete Zim, but this would to some extent conflict the hope of the present maintainer of Zim.
See: https://bugzilla.redhat.com/show_bug.cgi?id=560967#c3

Under which guideline should I prefer the above summary?
Now in this zim.spec, I reverted the summary and description to the same ones of the former Zim package, except "GTK2-Perl" changed to "PyGTK".

(In reply to comment #1)
> This package should be named "zim" (note that upstream doesn't name 0.43 pyzim
> anymore), and it should obsolete the old package "Zim".
> 
> The summary should be something like "Bring the concept of a wiki to your
> desktop".
Comment 4 Chen Lei 2010-02-24 13:27:06 EST
Please follow http://fedoraproject.org/wiki/Packaging:Python
Comment 6 Chen Lei 2010-03-01 00:10:41 EST
(In reply to comment #5)
> updated to follow http://fedoraproject.org/wiki/Packaging:Python    
> Spec URL: http://dl.dropbox.com/u/612778/pyzim.spec
> SRPM URL: http://dl.dropbox.com/u/612778/pyzim-0.44-2.fc12.src.rpm
> Spec URL: http://dl.dropbox.com/u/612778/zim.spec
> SRPM URL: http://dl.dropbox.com/u/612778/zim-0.44-2.fc12.src.rpm    

Feel free to contact me in Chinese for any packaging related problems.
Comment 7 Mamoru TASAKA 2010-03-07 16:06:01 EST
As this package is "zim" application and not some python module,
the srpm should be named as "zim", not "pyzim" or "python-zim".

Some quick notes for zim-0.44-2

* Unneeded macros
  - %python_sitearch macro is used nowhere.

* License
  - as "./zim/_lib/xdot.py" is under GPLv3+ (would you ask the upstream
    why?), the license tag should be "GPLv2+ and GPLv3+"

* Obsoletes/Provides
  - For this case, this package should provide "Zim = %{version]-%{release}"
    as this is a rewritten pkg of Zim ( see the explanation by
    $ rpmlint -I obsolete-not-provided )

* Requires
  - "R: gtk2 >= 2.6" is unneeded (at least on Fedora) 
    - because all gtk2 packages in currently supported Fedora branches
      all have higher version than 2.6, and gtk2 is pulled in by pygtk2.
    https://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

  - "R: shared-mime-info desktop-file-utils" are not needed
    https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database
    https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#mimeinfo

  - "R: xdg-utils" should be removed (explained below)

  - "R: pygobject2" is not needed because pygtk2 pulls in this dependency.

  - Also "R: python-simplejson" line is not needed (at least on Fedora) because
    F-11/12/13/14 python has 2.6+ version.

* default %setup
  - %setup line can simply be "%setup -q" because the default argument to
    "-n" option is %{name}-%{version}

* About xdg-icon-resource
  - For xdg-icon-resource in %post:
    A. Currently the command line fails.
---------------------------------------------------------------------------
# xdg-icon-resource install --context mimetypes --size 64 zim.png application-x-zim-notebook ; echo $?
xdg-icon-resource: file 'zim.png' does not exist
2
---------------------------------------------------------------------------
    B. When you change "zim.png" to "%{_datadir}/pixmaps/zim.png" in
       %post,
    B-1 This creates 2 files (1 file / 1 symlink) under 
        %{_datadir}/icons/hicolor/64x64/mimetypes/
    B-2 As rpm transaction order is
        newrpm's pre-> newrpm installation -> newrpm's post -> oldrpm's preun
        -> oldrpm cleanup -> oldrpm's postun:

        https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Scriptlet_Ordering

        With your scriptlets order, when zim is to be upgraded, created 2 files
        will be removed after transaction.

   So it is preferable that xdg-icon-resource is called at %install beforehand:
---------------------------------------------------------------------------
%install
...
...
%find_lang zim

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/64x64/mimetypes/
( export XDG_DATA_DIRS=%{buildroot}%{_datadir}/
  export XDG_DATA_HOME=%{buildroot}%{_datadir}/
  export KDE_SESSION_VERSION=invalid
  export XDG_UTILS_DEBUG_LEVEL=1000000
  xdg-icon-resource install \
    --noupdate \
    --context mimetypes \
    --size 64 \
    %{buildroot}%{_datadir}/pixmaps/zim.png \
    application-x-zim-notebook
)
---------------------------------------------------------------------------
    Or more simply:
---------------------------------------------------------------------------
%install
....
....
MIMETYPESDIR=%{buildroot}%{_datadir}/icons/hicolor/64x64/mimetypes/
mkdir -p $MIMETYPEDIR
install -cpm 644 %{buildroot}%{_datadir}/pixmaps/zim.png $MIMETYPEDIR/application-x-zim-notebook.png
ln -sf application-x-zim-notebook.png $MIMETYPEDIR/gnome-mime-application-x-zim-notebook.png
---------------------------------------------------------------------------
    ... and 
      - add two newly created filed to %files
      - and follow:
        https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache
Comment 8 Robin Lee 2010-03-08 19:09:27 EST
* Followed all your instructions.
* Changes:
  - Removed python_sitearch macro definition
  - Provides Zim(obsoleted package name)
  - Removed multiple build requirements and run-time requirements
  - License tag changed to "GPLv2+ and LGPLv3+"
  - Mimetype icons contained directly in the package
  - Scriptlets updated
* Above pyzim version of this package will not be updated any more.
* Updated URLs:
  - Spec URL: https://dl.dropbox.com/u/612778/zim.spec
  - SRPM URL: https://dl.dropbox.com/u/612778/zim-0.44-3.fc12.src.rpm
* Thank you!  

(In reply to comment #7)
> As this package is "zim" application and not some python module,
> the srpm should be named as "zim", not "pyzim" or "python-zim".
> 
> Some quick notes for zim-0.44-2
> 
> * Unneeded macros
>   - %python_sitearch macro is used nowhere.
> 
> * License
>   - as "./zim/_lib/xdot.py" is under GPLv3+ (would you ask the upstream
>     why?), the license tag should be "GPLv2+ and GPLv3+"
> 
> * Obsoletes/Provides
>   - For this case, this package should provide "Zim = %{version]-%{release}"
>     as this is a rewritten pkg of Zim ( see the explanation by
>     $ rpmlint -I obsolete-not-provided )
> 
> * Requires
>   - "R: gtk2 >= 2.6" is unneeded (at least on Fedora) 
>     - because all gtk2 packages in currently supported Fedora branches
>       all have higher version than 2.6, and gtk2 is pulled in by pygtk2.
>     https://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires
> 
>   - "R: shared-mime-info desktop-file-utils" are not needed
>     https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database
>     https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#mimeinfo
> 
>   - "R: xdg-utils" should be removed (explained below)
> 
>   - "R: pygobject2" is not needed because pygtk2 pulls in this dependency.
> 
>   - Also "R: python-simplejson" line is not needed (at least on Fedora) because
>     F-11/12/13/14 python has 2.6+ version.
> 
> * default %setup
>   - %setup line can simply be "%setup -q" because the default argument to
>     "-n" option is %{name}-%{version}
> 
> * About xdg-icon-resource
>   - For xdg-icon-resource in %post:
>     A. Currently the command line fails.
> ---------------------------------------------------------------------------
> # xdg-icon-resource install --context mimetypes --size 64 zim.png
> application-x-zim-notebook ; echo $?
> xdg-icon-resource: file 'zim.png' does not exist
> 2
> ---------------------------------------------------------------------------
>     B. When you change "zim.png" to "%{_datadir}/pixmaps/zim.png" in
>        %post,
>     B-1 This creates 2 files (1 file / 1 symlink) under 
>         %{_datadir}/icons/hicolor/64x64/mimetypes/
>     B-2 As rpm transaction order is
>         newrpm's pre-> newrpm installation -> newrpm's post -> oldrpm's preun
>         -> oldrpm cleanup -> oldrpm's postun:
> 
>        
> https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Scriptlet_Ordering
> 
>         With your scriptlets order, when zim is to be upgraded, created 2 files
>         will be removed after transaction.
> 
>    So it is preferable that xdg-icon-resource is called at %install beforehand:
> ---------------------------------------------------------------------------
> %install
> ...
> ...
> %find_lang zim
> 
> mkdir -p %{buildroot}%{_datadir}/icons/hicolor/64x64/mimetypes/
> ( export XDG_DATA_DIRS=%{buildroot}%{_datadir}/
>   export XDG_DATA_HOME=%{buildroot}%{_datadir}/
>   export KDE_SESSION_VERSION=invalid
>   export XDG_UTILS_DEBUG_LEVEL=1000000
>   xdg-icon-resource install \
>     --noupdate \
>     --context mimetypes \
>     --size 64 \
>     %{buildroot}%{_datadir}/pixmaps/zim.png \
>     application-x-zim-notebook
> )
> ---------------------------------------------------------------------------
>     Or more simply:
> ---------------------------------------------------------------------------
> %install
> ....
> ....
> MIMETYPESDIR=%{buildroot}%{_datadir}/icons/hicolor/64x64/mimetypes/
> mkdir -p $MIMETYPEDIR
> install -cpm 644 %{buildroot}%{_datadir}/pixmaps/zim.png
> $MIMETYPEDIR/application-x-zim-notebook.png
> ln -sf application-x-zim-notebook.png
> $MIMETYPEDIR/gnome-mime-application-x-zim-notebook.png
> ---------------------------------------------------------------------------
>     ... and 
>       - add two newly created filed to %files
>       - and follow:
>         https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache
Comment 9 Chen Lei 2010-03-08 22:02:06 EST
Hi Mamoru,

Please take a look at https://bugzilla.redhat.com/show_bug.cgi?id=560967

Regards
Comment 10 Mamoru TASAKA 2010-03-09 12:26:54 EST
(In reply to comment #9)
> Hi Mamoru,
> Please take a look at https://bugzilla.redhat.com/show_bug.cgi?id=560967
> Regards    

I have read the bug, however as Jussi and I already said on this bug,
the new package is "zim" software with language being changed from perl
to python, not more or less ( I know some other applications which
changes the language they use, like C -> python, ruby -> perl, etc...)
Also "pyzim" or "python-zim" is just wrong because this naming usually
means that this package is some module of python (like pygtk2), while
is actually one "application".
Comment 11 Mamoru TASAKA 2010-03-09 12:49:47 EST
Well, ./zim/_lib/xdot.py is actually under LGPLv3+, not under
GPLv3+, sorry...

For -3:

* Scriptlets
  https://fedoraproject.org/wiki/Packaging/ScriptletSnippets
  - Please fix scriptlets for update-desktop-database,
    update-mime-database 
    ( currently with Fedora guidelines, only gtk-update-icon-cache
      has 3 sections for scriptlets )
Comment 12 Robin Lee 2010-03-10 11:43:55 EST
- Fixed postun scriptlet
Spec URL: https://dl.dropbox.com/u/612778/zim.spec
SRPM URL: https://dl.dropbox.com/u/612778/zim-0.44-4.fc12.src.rpm
Comment 13 Mamoru TASAKA 2010-03-10 12:50:44 EST
Forgot to mention one more thing

For -4:
* rpmlint
-------------------------------------------------------------
zim.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/zim/_lib/xdot.py 0644L /usr/bin/env
zim.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/zim/_version.py 0644L /usr/bin/env
-------------------------------------------------------------
  - These two scripts are not executed directly by user, so
    shebangs on these scripts are not needed. Please remove these
    shebangs.
Comment 14 Robin Lee 2010-03-12 00:37:10 EST
- Relied on the upstream ./setup.py script to install hicolor theme icons,
  zim-setup.patch updated
- Added xdg-utils as build requirement
- Removed shebangs in some unexecutable scripts
- Removed an empty file

Spec URL: https://dl.dropbox.com/u/612778/zim.spec
SRPM URL: https://dl.dropbox.com/u/612778/zim-0.44-5.fc12.src.rpm
Comment 15 Mamoru TASAKA 2010-03-12 04:05:42 EST
Okay.

-----------------------------------------------
  This package (zim) is APPROVED by mtasaka
-----------------------------------------------
Comment 16 Chen Lei 2010-03-12 04:24:31 EST

(In reply to comment #10)
> (In reply to comment #9)
> > Hi Mamoru,
> > Please take a look at https://bugzilla.redhat.com/show_bug.cgi?id=560967
> > Regards    
> I have read the bug, however as Jussi and I already said on this bug,
> the new package is "zim" software with language being changed from perl
> to python, not more or less ( I know some other applications which
> changes the language they use, like C -> python, ruby -> perl, etc...)
> Also "pyzim" or "python-zim" is just wrong because this naming usually
> means that this package is some module of python (like pygtk2), while
> is actually one "application".    

I highly agree with you, however the original Zim maintainer didn't want to retire Zim. Shall we talk with Chris to retire Zim before this package is proved? 
Conflicting package names, even if they differ by case alone, are not allowed in fedora.
See http://fedoraproject.org/wiki/PackageNamingGuidelines#Conflicting_Package_Names
Comment 17 Mamoru TASAKA 2010-03-12 04:38:36 EST
Once revoking my approval.

Note that:
(In reply to comment #16)
> Conflicting package names, even if they differ by case alone, are not allowed
> in fedora.
> See
> http://fedoraproject.org/wiki/PackageNamingGuidelines#Conflicting_Package_Names    

There is no conflict, because this package is going to _remove_
the old "Zim" package.
Comment 18 Chris Weyl 2010-03-12 13:56:11 EST
I have no intention of removing the current Zim package; its upstream is changing and it will be able to continue as is.

I'd like to see these two packages co-exist peacefully, however...  I'm certainly open to any reasonable suggestions along those lines that don't involve obsoleting the Zim package, or changing bits that users recognize, e.g. /usr/bin/zim, etc.  This BZ may not be the best place to discuss this, however :)
Comment 19 Mamoru TASAKA 2010-03-12 23:39:39 EST
(In reply to comment #18)
> I have no intention of removing the current Zim package; its upstream is
> changing and it will be able to continue as is.

Then please ask the upstream _how_ they are changing first.
Again currently simply Zim/zim package is simply rewritten with
different language, not much or less. Unless the upstream clearly
provides the way to make perl/python zim's parallel-installable,
obsoleting the old package is the right way.
Comment 20 Mamoru TASAKA 2010-03-23 12:37:46 EDT
Chris, ping?
Comment 21 Robin Lee 2010-03-23 23:19:16 EDT
Update to 0.45

Spec URL: https://dl.dropbox.com/u/612778/zim.spec
SRPM URL: https://dl.dropbox.com/u/612778/zim-0.45-1.fc12.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2071742

Now I think it should be stable enough to replace the "Zim" package.
Comment 22 Robin Lee 2010-03-24 13:01:22 EDT
As announced by upstream, the 0.45 version introduced a serious bug which does not exist in previous versions. I would keep in touch with upstream.
Comment 23 Robin Lee 2010-03-24 22:42:35 EDT
Update to 0.46

Spec URL: https://dl.dropbox.com/u/612778/zim.spec
SRPM URL: https://dl.dropbox.com/u/612778/zim-0.46-1.fc12.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2074427

It should be stable enough to replace the "Zim" package in Rawhide.
Comment 24 Chris Weyl 2010-03-25 03:00:44 EDT
(In reply to comment #20)
> Chris, ping?    

Right...  I've been pretty clear here: I'm very willing to work things so that these two forks can coexist, but I'm unwilling to allow Zim to be obsoleted.   ...particularly if the new program's codebase is still having issues, and shortly before I'm ready to release a new level of Zim into rawhide :)
Comment 25 Mamoru TASAKA 2010-03-25 03:23:07 EDT
So
- are you planing to fork Zim and maintain (host) perl based zim
  by yourself? Or the upstream of python based zim are going to
  still maintain both perl and python based zim?

- And when is this going to happen? F-13 is to be released on May
  and leaving this review request open for more than one month
  is definitely not allowed.
Comment 26 Robin Lee 2010-03-25 04:01:20 EDT
For brief descriptions of the two branches, here is a place: https://launchpad.net/zim/+series

And upstream said, quoted from the above page for the Perl branch:

'''
This is the perl version of zim, which has versions in the 0.02x series. For newer releases see the python port.

This series may see occasional bug fixes, but it is not actively maintained anymore. New features will go towards the python branch.
'''

And the Python based Zim has already taken the place in some other distributions like Debian ( http://packages.qa.debian.org/z/zim.html ) and Arch ( http://www.archlinux.org/packages/community/i686/zim/ ).
Comment 27 Chen Lei 2010-03-25 04:13:34 EDT
(In reply to comment #24)
> (In reply to comment #20)
> > Chris, ping?    
> 
> Right...  I've been pretty clear here: I'm very willing to work things so that
> these two forks can coexist, but I'm unwilling to allow Zim to be obsoleted.  
> ...particularly if the new program's codebase is still having issues, and
> shortly before I'm ready to release a new level of Zim into rawhide :)    

How about to rename the perl version of Zim to another name like zim-perl? 
If we rename python version of zim to another and keep the name of perl fork, it may lead to inconsistent name of zim between fedora and other linux distributions.
Comment 28 Chris Weyl 2010-03-27 12:45:37 EDT
(In reply to comment #25)
> So
> - are you planing to fork Zim and maintain (host) perl based zim
>   by yourself? Or the upstream of python based zim are going to
>   still maintain both perl and python based zim?

I've taken over the original Zim ("Zim Classic"? :)) and  will be maintaining it going forward.

> - And when is this going to happen? F-13 is to be released on May
>   and leaving this review request open for more than one month
>   is definitely not allowed.    

I'm sorry, is there a time limit to how long a review can take?  In any case, it only looks like there are naming and fliles conflicts left to resolve.
Comment 29 Mamoru TASAKA 2010-03-27 13:13:16 EDT
(In reply to comment #28)
> (In reply to comment #25)
> > - And when is this going to happen? F-13 is to be released on May
> >   and leaving this review request open for more than one month
> >   is definitely not allowed.    
> 
> I'm sorry, is there a time limit to how long a review can take?  In any case,
> it only looks like there are naming and fliles conflicts left to resolve.    

I don't want to make the submitter of this review request wait
any longer. One month is definitely no choice when the submitted
package itself has no blocker (although I will recheck it later
because version is upgraded).

And yes, if you formally keep hosting perl-based zim, the only issue
is to resolve file conflicts.
Comment 30 mark preston 2010-04-08 15:32:06 EDT
what is the status of this. I don't understand why one user of zim who doesn't want the newer version  should prevent the rest of us that want v.43 and the new features.  I'm sure i'm not the only one wanting the upgraded version.
Comment 31 Mamoru TASAKA 2010-04-11 12:09:56 EDT
Chris, would you please resolve the issue before F-13 release?
Otherwise I will just propose that this zim should obsolete perl based
Zim for now.
Comment 32 Mamoru TASAKA 2010-04-23 12:17:48 EDT
Robin, now let's go and import this package into Fedora.
Please upload the new srpm of zim which obsoletes perl based
Zim. 

Anyway forked perl based Zim needs new review request
so there is no problem even if this zim obsoletes old perl-based
Zim.
Comment 33 Robin Lee 2010-04-24 01:32:27 EDT
And review+ ?
(In reply to comment #32)
> Robin, now let's go and import this package into Fedora.
> Please upload the new srpm of zim which obsoletes perl based
> Zim. 
> 
> Anyway forked perl based Zim needs new review request
> so there is no problem even if this zim obsoletes old perl-based
> Zim.
Comment 34 Mamoru TASAKA 2010-04-24 06:03:55 EDT
Ah, your latest srpm already has Obsoletes. I will check
your latest srpm later.
Comment 35 Mamoru TASAKA 2010-04-25 14:19:40 EDT
Okay, reapproving.

-------------------------------------------------------------
    This package (zim) is APPROVED by mtasaka
-------------------------------------------------------------
Comment 36 Robin Lee 2010-04-25 23:07:48 EDT
New Package CVS Request
=======================
Package Name: zim
Short Description: A desktop wiki editor
Owners: cheeselee
Branches: F-13
InitialCC:
Comment 37 Kevin Fenzi 2010-04-25 23:46:50 EDT
What is the hurry here? Is there a critical release blocker I am un-aware of related to if zim is updated?

Obsoleting the existing package against it's maintainers wishes seems very poor to me. 

Some questions: 

1. Is the 'new upstream' aware that the old zim is going to continue to be maintained? 

2. Chris: Would you be willing to rename to 'zim-classic' or something? 

3. Would the new zim upstream consider renaming to something else?
Comment 38 Mamoru TASAKA 2010-04-26 00:08:03 EDT
Kevin:

Please notice that we asked Chris what he wanted to do at least
on 2010-03-13 and while he said he wanted to continue maintaining
perl based Zim package he did not take actions for it for more than
1 month - this already exceeds periods for non-maintained package
policy. Or do you force us to wait another one month to get this
package imported?

I don't find any issue why the upstream should rename python based
zim to something else. Upstream now wants to write zim with python
not perl, and nothing else.
Comment 39 mark preston 2010-04-26 19:23:40 EDT
as a  user of zim, i don't want the updates to be held up by someone that wants to keep the perl version branch where the owner is not doing development of new features. there are features in the newer version that i want to be using and this is holding up my ability do upgrade.
Comment 40 Jason Tibbitts 2010-04-28 22:26:38 EDT
The one problem I have here, and the reason I can't do CVS right now, is that the guidelines expressly forbid two packages in the distro with names that differ only by case.  I don't really know how to handle this.  I don't even know if the tools will properly handle the obsolete.
Comment 41 Robin Lee 2010-05-03 23:01:01 EDT
As today is the Final Freeze of F13, we may have to wait another six months to get the python based 'zim' imported to a stable Fedora release.

I hope I should not stay annoyingly requesting CVS admin change, just because we have been long waiting for a reply from the owner of Perl based 'Zim' package.
Comment 42 Dennis Gilmore 2010-05-13 18:36:37 EDT
unseting cvs for now
Comment 43 mark preston 2010-05-13 20:55:00 EDT
i hope no one is allowed to come up at the last minute for the next release and say they don't want the python version even though that is what upstream has decided is their future. also there shouldn't be two zims. there should only be one zim, the python version. the other should have been obsoleted.  sorry for the tone but this wanting to keep two zims should not have even been entertained, as other open software has done, the old version could have branched off and been given an new name.
Comment 44 Fabian Stanke 2010-05-19 07:18:07 EDT
Robin, thank you for the effort and for providing the srpm for the time being. I secretly (i.e. without checking) expected that to be in F13.
As a user, I agree with Mark.
Comment 45 Kevin Fenzi 2010-05-21 12:40:35 EDT
I'm sorry this has languished so long. ;( 

I have mailed Chris again. If I don't hear anything back from him by next week, we will just move forward without him. 

Has anyone bothered to test/reply to Tibbs concern in comment #40? 
If there is a tooling issue there, it may be better to just keep using the 'Zim' name/package and just change maintainers to allow you to push the python one out.
Comment 46 Chen Lei 2010-05-21 13:19:21 EDT
(In reply to comment #45)
> I'm sorry this has languished so long. ;( 
> I have mailed Chris again. If I don't hear anything back from him by next week,
> we will just move forward without him. 
> Has anyone bothered to test/reply to Tibbs concern in comment #40? 
> If there is a tooling issue there, it may be better to just keep using the
> 'Zim' name/package and just change maintainers to allow you to push the python
> one out.    

There seems some packages diff only in case is sucessfully fedora renamed 
.
See http://koji.fedoraproject.org/koji/search?match=glob&type=package&terms=*AppTools*


http://cvs.fedoraproject.org/viewvc/rpms/python-Apptools was completely removed in cvs.
I think cvadmin may need remove Zim in cvs completely before creating new zim branch.
Comment 47 Robin Lee 2010-05-21 13:55:36 EDT
I think 'zim' will be the unique acceptable name for this new implementation.
Comment 48 Robin Lee 2010-05-26 05:09:28 EDT
Or this request can be considered as a renaming one.

https://fedoraproject.org/wiki/Package_Renaming_Process
Comment 49 Toshio Ernie Kuratomi 2010-05-26 15:18:35 EDT
IIUC everything going on in these two tickets we have the following facts:

1) We cannot have both zim and Zim packages as those package names conflict according to our guidelines:
  http://fedoraproject.org/wiki/Packaging:Conflicts#Conflicting_Package_Names

  1b) We probably do not have a tooling problem (there were tooling issues in the past and I think we've resolved them all) however, this is not a well tested case and thus new issues can arise without us noticing.

2) The upstream for zim has released a new version of their software that is incompatible with the old version.  Some people (including the present Fedora Maintainer) do not want to upgrade.  We give broad latitude to maintainers but this does seem to be counter to the Fedora Objectives:
  https://fedoraproject.org/wiki/Objectives

3) The Fedora maintainer for the previous version of zim wants to fork but hasn't done so yet.

4) The new zim release has been packaged and has a maintainer willing to work on it.

5) Neither the upstream zim nor the incipient fork of zim have decided to rename their software yet.  I'm not sure where we are in regards to contacting upstream:
  http://fedoraproject.org/wiki/Packaging:Conflicts#Approaching_Upstream

  5b) Since a Fedora Maintainer is making the fork of the old zim, it would behoove us to set a good example and have the fork rename.

6) This can go to fesco to decide if the competing Fedora maintainers can't settle their differences on their own.  The questions I think are coming up here are:

  * Should the zim package have to update to a current, supported version, at least in rawhide?

  * In case of a fork initiated by a Fedora maintainer, should we force the fork to adopt change to a non-conflicting name (if the package is to remain in the Fedora repositories)?
Comment 50 Robin Lee 2010-05-26 19:43:17 EDT
* From a view point of end user, the update from the Perl-based to the Python-based zim will be smooth expectedly. It will be an incompatible case only if somebody used what the package provides as Perl/Python modules strangely.

* There were usually no forks remaining naming as their origins, though the names were probably not registered trademarks.
Comment 51 Toshio Ernie Kuratomi 2010-05-27 12:33:46 EDT
Fesco meeting ticket was opened by Kevin Fenzi here: https://fedorahosted.org/fesco/ticket/385
Comment 52 Robin Lee 2010-06-02 01:24:09 EDT
0.46-2

Spec URL: http://cheeselee.fedorapeople.org/Zim.spec
SRPM URL: http://cheeselee.fedorapeople.org/Zim-0.46-2.fc13.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2224154

Changes:
- Rename back to 'Zim' according to the decision of FESCo meeting (2010-06-01)
- Revert Summary and Description to the original version in the 'Zim' package
  except 'Gtk2-Perl' changed to 'PyGTK'
- Use recommended command to remove shebangs
- Remove Buildroot tag


After all, I am with a good temper :)
Comment 53 Mamoru TASAKA 2010-06-02 14:50:48 EDT
Well,

- Personally I think if the upstream changed the summary or the explanation
  of the package it is a good reason to update Summary / %description in
  the spec file as well, however it is up to you.

The package itself is now good. Please import this after needed procedure.
Comment 54 Robin Lee 2010-06-02 22:18:43 EDT
(In reply to comment #53)
> Well,
> 
> - Personally I think if the upstream changed the summary or the explanation
>   of the package it is a good reason to update Summary / %description in
>   the spec file as well, however it is up to you.
> 
> The package itself is now good. Please import this after needed procedure.    

Thank you! I think the old name is kept, so changing the Summary and %description seems unnecessary.
Comment 55 Robin Lee 2010-06-06 21:08:18 EDT
Changes:
- Update to 0.47
- Remove zim-setup.patch since upstream provided a new installation option

Spec URL: http://cheeselee.fedorapeople.org/Zim.spec
SRPM URL: http://cheeselee.fedorapeople.org/Zim-0.47-1.fc13.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2234422

Upstream release announcement: https://launchpad.net/zim/+announcement/6016
Comment 56 Chris Weyl 2010-06-07 12:57:10 EDT
Robin -- feel free to request commit ACL's on Zim in the pkgdb; I'll add you as a co-maintainer to make this transition.
Comment 57 Robin Lee 2010-06-07 21:27:44 EDT
(In reply to comment #56)
> Robin -- feel free to request commit ACL's on Zim in the pkgdb; I'll add you as
> a co-maintainer to make this transition.    

Thank you
My FAS name is 'cheeselee'
Comment 58 Robin Lee 2010-06-11 12:13:36 EDT
(In reply to comment #56)
> Robin -- feel free to request commit ACL's on Zim in the pkgdb; I'll add you as
> a co-maintainer to make this transition.    

And grant my request?

https://admin.fedoraproject.org/pkgdb/acls/name/Zim
Comment 59 nomnex 2010-08-11 21:25:58 EDT
Hello, I am a new comer on Fedora 13. I am currently running Zim 0.48 on Fedora 13. I had to install from source. Not too sure if this is the right place to ask, but the Zim version on the Fedora 13 is a fairly old build (perl version) 0.29. The concept of a Desktop-wiki is so handy, compared to Mono crap basic note taking like Tomboy (+counterpart Gnote), or a traditional wiki+server. I wonder if an updated YUM package (stable) will be available soon. The Zim dev. Jaap Karssenber usually provide an update every month or so. Thank you.

Note You need to log in before you can comment on or make changes to this bug.